Skip to main content
GET
/
v2
/
trade
/
{chain}
/
top-traders
Trade - Top Traders
curl --request GET \
  --url https://api.dex.chainstream.io/v2/trade/{chain}/top-traders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "buyAmount": "600000",
      "buyAmountInNative": "100.5",
      "buyAmountInUsd": "12000.50",
      "buyCount": 60,
      "sellAmount": "400000",
      "sellAmountInNative": "66.8",
      "sellAmountInUsd": "8000.30",
      "sellCount": 40,
      "tokenAddress": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
      "tradeAmount": "1000000",
      "tradeCount": 100,
      "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>
default:20

Number of results per page

direction
enum<string>
default:next

Pagination direction

Available options:
next,
prev
tokenAddress
string
required

An address of a token

timeFrame
enum<string>

Time frame for filtering trades Time frame for statistics

Available options:
30m,
1h,
2h,
4h,
6h,
8h,
12h,
24h
sortType
enum<string>
default:desc

Sort type for trade results Sort direction (case-insensitive: accepts "asc"/"ASC"/"Asc" etc.)

Available options:
asc,
desc
sortBy
enum<string>
default:tradeAmount

Field to sort trades by Sort field for top traders query

Available options:
tradeAmount,
tradeCount

Response

200 - application/json

Successful response

Generic pagination response

data
object[]
required

Page data

endCursor
string | null

Cursor for the end of current page

Example:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

Example:

false

hasPrev
boolean

Whether there is a previous page

Example:

false

startCursor
string | null

Cursor for the start of current page

Example:

"eyJpZCI6InN0YXJ0In0="